MuldeR's Utilities for Qt MUtilities

Classes | Namespaces
JobObject.h File Reference

This file contains function for creating and managing job objects. More...

`#include <MUtils/Global.h>`

Go to the source code of this file.

## Classes
class | MUtils::JobObject
| This class represents a job object. More...

## Namespaces
| MUtils
| Global MUtils namespace.

## Detailed Description

This file contains function for creating and managing job objects.

Each instance of MUtils::JobObject represents a job object. Call MUtils::JobObject::addProcessToJob() to add another sub-process to the job object. Call MUtils::JobObject::terminateJob() to terminate all sub-processes that currently belong to the job object at once.

Note that all sub-processes that belong to the job object will be terminated when this process exits, gracefully or due to a crash. All sub-process belonging to a job object also are terminated when the corresponding MUtils::JobObject instance is destroyed.